LDmicro0.2
MICRO=Microchip PIC16F877 40-PDIP
CYCLE=1000 us at Timer1, YPlcCycleDuty:0, ConfigurationWord(s):0x3F72
CRYSTAL=20000000 Hz
BAUD=19200 Hz, RATE=1000000 Hz, SPEED=100000 Hz
COMPILED=C:\Users\User\Downloads\Manuel\PIC16\Pic877\Manuel-877-v8.c
COMPILER=HI_TECH_C

PULL-UP LIST
    RA: 0x0 
    RB: 0x0 
    RC: 0x0 
    RD: 0x0 
    RE: 0x0 
END

VAR LIST
    1 bytes #PORTA
    1 bytes #PORTB
    1 bytes #PORTD
    1 bytes #TRISA
    1 bytes #TRISB
    1 bytes #TRISD
    2 bytes Dezena1
    2 bytes Dezena2
    2 bytes Dezena3
    2 bytes Dezena4
    2 bytes Unidade1
    2 bytes Unidade2
    2 bytes Unidade3
    2 bytes Unidade4
  129 bytes char7seg
    1 bytes char7seg[0]
    2 bytes date
    2 bytes hour
    2 bytes min
END

IO LIST
END

PROGRAM
RUNG 1
  MOVE #TRISA 0x00
END
RUNG 2
  MOVE #TRISB 0X00
END
RUNG 3
  MOVE #TRISD 0X00
END
RUNG 4
  UART_RECV_AVAIL
  UART_RECV sdata 1 1
END
RUNG 5
  NEQ sdata 0
  IF_BIT_CLEAR sdata 7
  IF_BIT_CLEAR sdata 6
  MOVE min sdata
END
RUNG 6
  NEQ sdata 0
  IF_BIT_CLEAR sdata 7
  IF_BIT_SET sdata 6
  CLEAR_BIT sdata 6
  MOVE hour sdata
END
RUNG 7
  NEQ sdata 0
  IF_BIT_SET sdata 7
  IF_BIT_CLEAR sdata 6
  CLEAR_BIT sdata 7
  MOVE date sdata
END
RUNG 8
  NEQ sdata 0
  IF_BIT_SET sdata 7
  IF_BIT_SET sdata 6
  CLEAR_BIT sdata 6
  CLEAR_BIT sdata 7
  MOVE month sdata
END
RUNG 9
  MOVE sdata 0
END
RUNG 10
  DIV Dezena1 hour 10
END
RUNG 11
  MOD Unidade1 hour 10
END
RUNG 12
  DIV Dezena2 min 10
END
RUNG 13
  MOD Unidade2 min 10
END
RUNG 14
  DIV Dezena3 date 10
END
RUNG 15
  MOD Unidade3 date 10
END
RUNG 16
  DIV Dezena4 month 10
END
RUNG 17
  MOD Unidade4 month 10
END
RUNG 18
  CTC CDisplay 3 0 -
END
RUNG 19
  EQU CDisplay 0
  MOVE #PORTA 0x0E
END
RUNG 20
  EQU CDisplay 0
  7SEGMENTS #PORTB Dezena1 A
  7SEGMENTS #PORTD Dezena3 A
END
RUNG 21
  EQU CDisplay 1
  MOVE #PORTA 0x0D
END
RUNG 22
  EQU CDisplay 1
  7SEGMENTS #PORTB Unidade1 A
  7SEGMENTS #PORTD Unidade3 A
END
RUNG 23
  EQU CDisplay 2
  MOVE #PORTA 0x0B
END
RUNG 24
  EQU CDisplay 2
  7SEGMENTS #PORTB Dezena2 A
  7SEGMENTS #PORTD Dezena4 A
END
RUNG 25
  EQU CDisplay 3
  MOVE #PORTA 0x07
END
RUNG 26
  EQU CDisplay 3
  7SEGMENTS #PORTB Unidade2 A
  7SEGMENTS #PORTD Unidade4 A
END
